GNU bug report logs - #54046
emacs: Remove GNOME MediaKeys support

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jeremy Bicha <jeremy.bicha@HIDDEN>; Keywords: pending; dated Thu, 17 Feb 2022 21:56:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) pending. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54046 <at> debbugs.gnu.org:


Received: (at 54046) by debbugs.gnu.org; 19 Feb 2022 18:18:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 13:18:06 2022
Received: from localhost ([127.0.0.1]:58703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLUJ3-0004Yz-Js
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 13:18:06 -0500
Received: from smtp-relay-internal-1.canonical.com ([185.125.188.123]:36384)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeremy.bicha@HIDDEN>) id 1nLPh5-00051l-5M
 for 54046 <at> debbugs.gnu.org; Sat, 19 Feb 2022 08:22:35 -0500
Received: from mail-oo1-f72.google.com (mail-oo1-f72.google.com
 [209.85.161.72])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by smtp-relay-internal-1.canonical.com (Postfix) with ESMTPS id 013353F1B7
 for <54046 <at> debbugs.gnu.org>; Sat, 19 Feb 2022 13:22:26 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=canonical.com;
 s=20210705; t=1645276946;
 bh=ceZP/BaJm/dOXSp7V6QKbt6WbZqgxDT6h1XUNYJfjgw=;
 h=MIME-Version:References:In-Reply-To:From:Date:Message-ID:Subject:
 To:Cc:Content-Type;
 b=j99HaRDsHrLynzcr5nsYnbEM/yvpEDCLQUQNu/vj9PUZg+1gD3pjXv+BX9OooUULw
 GwtfoQrAnXvVuvNgd2ET7p/zK1IP3SJCR18YCE8YoF2LHkwPUbDkKddcG5+bAF87M6
 3z47WCW0YrVzK4aKI6iOAheqgNxFC0gnX1xOCkim/wWlxkZOu57RgjHsOaXPPegsw2
 XwPSIGdo6ZDX583ofHYMZYP7XCtXpMVsqOngYhB0kSiQnyLgWUTtkpO6L0YOv/1BGr
 baXtwWE4EelcRAwzgnufyL2lOWoMxRo30TNVvyKOWeneZ1Gj7NGzY7ETMNVfkEWXLk
 sefDVuCu+ag8g==
Received: by mail-oo1-f72.google.com with SMTP id
 z4-20020a4ad1a4000000b0031beb2043f7so2865167oor.20
 for <54046 <at> debbugs.gnu.org>; Sat, 19 Feb 2022 05:22:25 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=ceZP/BaJm/dOXSp7V6QKbt6WbZqgxDT6h1XUNYJfjgw=;
 b=oKEc5X2p7+UXLU6I9jz3CZQ0YK5OCDd9kXNHiI3MA3Hp2P6cszivVPmGGRRacTdk4G
 M4DuV8IIJ8HQ5xvQ3z9OP/OjntmfYsdmjkTVVKvNe14aNQypYtitywzMYZcRPvpcW4e0
 fKPHOK5zIOpa4oM+hqZnecm2wlFJ3OCAopBZLMApmlN735XcO7MTpFTb+Sstwy8O0Z+N
 uwDeOn+CAGGzh0LZHmZCYonFnqx2eZw/EkZfR8P0kkZHiERxjt7gTm2BpXQUMSyq/sM8
 qS0/WS+bLbnAGhs3VHGYyk5Nuvy6j3ilMKm+TWycKjYffsYRoTpzI9XAGP+O8xLopdSA
 AxFA==
X-Gm-Message-State: AOAM532gAcTUWS+jLIZ849k6gRJeUBWP6cmeyllYmJjCkJyAkS93beez
 6YEAuz0sEj+tMBsJDeBHiPd3dPEAdHeRTtpoW9soTMdJ+WSw557FJSFeX57H0ko+MQRE3fPQxPl
 EcshVZCaIA5hjgXjl73akdLJjvtrXL9Kz8h+yciULax8tBuQU
X-Received: by 2002:aca:42c6:0:b0:2cc:a020:c00f with SMTP id
 p189-20020aca42c6000000b002cca020c00fmr5362547oia.86.1645276944616; 
 Sat, 19 Feb 2022 05:22:24 -0800 (PST)
X-Google-Smtp-Source: ABdhPJwEr42aeotND75OIRuz4ocrw9aouCNzPs2NWB4E1KvwU+m8hRgg5tP8Qa9q133bSRCOz8WB+HaznQ4y301Uzx4=
X-Received: by 2002:aca:42c6:0:b0:2cc:a020:c00f with SMTP id
 p189-20020aca42c6000000b002cca020c00fmr5362538oia.86.1645276944401; Sat, 19
 Feb 2022 05:22:24 -0800 (PST)
MIME-Version: 1.0
References: <CAD+GYvyg0bf3yChRC2Gpbn_XkHrw0fwprK0abpJERkKo5c6MqQ@HIDDEN>
 <87r181ro86.fsf@HIDDEN> <87v8xbvxrv.fsf@HIDDEN>
 <87k0drm3a0.fsf@HIDDEN>
In-Reply-To: <87k0drm3a0.fsf@HIDDEN>
From: Jeremy Bicha <jeremy.bicha@HIDDEN>
Date: Sat, 19 Feb 2022 08:21:48 -0500
Message-ID: <CAD+GYvxch1-wjQnEQPp3jHm-b_AwVtEUwrCrXgNzaft37m5LyQ@HIDDEN>
Subject: Re: bug#54046: emacs: Remove GNOME MediaKeys support
To: Po Lu <luangruo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54046
X-Mailman-Approved-At: Sat, 19 Feb 2022 13:18:04 -0500
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 54046 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sat, Feb 19, 2022 at 7:47 AM Po Lu <luangruo@HIDDEN> wrote:
>
> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
> > The only mention I can find of "MediaKeys" in the Emacs sources are in
> > examples in manuals and doc strings:
> >
> > @result{} (("/org/gnome/SettingsDaemon/MediaKeys"
> >      ("org.gnome.SettingsDaemon.MediaKeys")
> >
> > Jeremy, is this what you had in mind?
>
> If that's indeed what Jeremy had in mind, then IMO we should postpone
> updating the documentation to remove those mentions until GNOME 42 is
> released, otherwise it will not represent what is canonically installed
> on a up-to-date system.

Yes, that's all. I did a search for things that mentioned GNOME's
MediaKeys. It's already deprecated so people shouldn't use it and
assume it will still be there in the future.

Thanks,
Jeremy Bicha




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54046; Package emacs. Full text available.

Message received at 54046 <at> debbugs.gnu.org:


Received: (at 54046) by debbugs.gnu.org; 19 Feb 2022 13:36:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 08:36:09 2022
Received: from localhost ([127.0.0.1]:57153 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLPuD-0005MR-Po
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 08:36:09 -0500
Received: from sonic315-20.consmr.mail.ne1.yahoo.com ([66.163.190.146]:46099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nLPuB-0005Lv-7J
 for 54046 <at> debbugs.gnu.org; Sat, 19 Feb 2022 08:36:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1645277760; bh=Wj/yQGFrYn8e+Te9q5da4J2SuIWRM2iOe8LJB7ka3yI=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=O0ai/TedMUfABe8TkJ472+dxYSBoTytvcy0TZZlC/ovOzgP+AbVTbtKwgIoJlTEkpZoc15sDxWI48UUUuKHToF1QrjPABq+4sVkJLxWTmS+ECsnspEpJ+rw4KzqRNBSb714HkG/79pl86ApNXK4DcW/JN7OVlbiaUj6/C1wEzRndeYlEW1fkWt3kptJ7fLuKla3J7p2TgP2zPW0O9abUhP5zXaEzG3x28n10pvBZvuJMF5R380uwyLIVs6ILCCUQM6tDWsfGiuKtIr43V7qP9IIIcWJsW0AjBb+F2bKnDR/Wp0m+K6OZwus0BGs7m2fQQHF3jNA5kpcmzwUtYMTdcw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1645277760; bh=pYVFfE4LlJ9pqIqpae18dB0s6CaWmdLww9136amRApu=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=lXilh41ioJNeuNf1azh2IqH+U51v8p9o5dE2g/xrdQHGnnMTEpGwFVcno9seWmN52ndiYyU0htv8nN5Od7DXVcfgajogOrxCiVK5b/YhPvQSCFadOkuvnT0Or++Zwfa3r471E9N1DvXYQqPxf+wXnKCRJLBcLmVKqofmPWYE4CFoG8HrXiJ3DH+5Fw0AHRJ8vbdGnGsJuiuWEjXvU2HcSn05B2pXVD07GBKxp9KdETnb8CZE0B/yemF7/WXJ5Y15lj+qlXORi0FCtWbD/yFsN/YU7SQ1/KlooNwO90IeuI5/sxQRxmZcP97Oe+F+paMwIfU42yINUZCFZG6QSrS+SQ==
X-YMail-OSG: b2ceVQwVM1k9hnzBSK5pn8uzBM4zXJ1dc63_C.bZXBUJn2FHroXEs5xHkwWu9Ok
 QEgcutCxui34Yfq6Z0aLH7gIjJFiF5c8aWsX4TYu1Fr75sMwS9Leq.bg7IbEcVZh1HZX3H7w8aLF
 ObPHJ78Ru4PR0nHzxoVnWIxxpmkvrizYHvL2VufXoUlN7ATEgg2h6GBbMoCZy76JCM0Ebs8K_v4p
 fRDI6nCUNUgYBzCVtq_220.a8YEJc7tv70luTJQcE5HEW0Zn65HNQe_TDUoEKsKaJYzbG8JAsanu
 HiKwCtklW9QiDIhzxRsbzVnQzQUA78b0rXrifNZGZ11DSF9rZWVNcP5xvSTS0YNYTxhnUXSRR3xE
 ZBbxxtlazhrvDMiG5VY7lVdzRn44gGkQtwVPBZ.OabqIycziStkwPWPGfaPtcJZg2Evrs1yGGDWd
 tA0Xq2CQRH1pwrbKix3JZXv74eOCwO91e.4dUy0SJ3Kke1S2YmNKP4Cpq3DuqOa.bDTkLjlbpIg.
 bBh4wc6yJMHxDhAKd95wcTNhywVW2A.kMFkOffXj.3IO3pC39fDe8OcoeHfek7xYARLlP1orwY7m
 QmuMC5o4kPjLSvNOSw66LgS.LqtHU0tN_aFO_I6atTiWwRgJOBl0yhAco5scI_y.NF_lw6_5I7im
 Uxlsfs5uyU3cp06CwVJhbxDbkCDuSnIriMbYVQyVTd2KHp78jP5im2.afmiA_PR0dKWZaBsnNl.b
 d5N9XBAHx5UH1ITa90OQWUHghNBz97KY5LSQOWEPo5eTNyIO72p1NGG.v.wjeqedZF708Zup.H_O
 VwrfuYPCtQs97z8Dxi7CbKhBlMtiAm1wpt3660vmDotvFcEfByuclBoWAiManBQdL3tWHU8Fqt2p
 qRz_RChaQfwv0N0gDqVsYacGbEyQWUJhIdJMRZtsKBsdZuv0f.rW4mWsfyyQp.R0lqWxt0RHQ3Ef
 badnEJwE0WcVrGnxVO6C2yK1z5nsbQn5UWY5dr.dlwSMN.IECEqwDmKFwcZScyy9L9wdrtECcDZB
 NsMkYnke8Dqq_8V7LD5tR902vvQWq.vGNiyHLwhJtox4rK8S0v4B5Cu4gD0DeNrYQNemDqF6qnd1
 HdfWkAXz5jvH5Khy1tCKCmyZCatrCdYMS5E_Q344eY.W7Df8oGvybzwXkWkY52fYFj58EDE5SSlP
 MwH70KqdRb6ZxnfpGHFsXoGcLa.ZXN96w6maoApvt9Tw_CpWNxUyYCvesUO9UsQK.l0rKtoPm3wz
 W2wvb65QSQN9C3H7U9hApczeGldCzYc7Jbdx8rxXxKX9hgLHTy0ZQzjLvCuyy2s3g1HO7yWSGJk1
 qwKW8xh.Gkn.niIZlZujX5m4GPcgjekudiuJYEize6cNkiFtZJ0BoymLscOFf.q5J0n..8CUOBuB
 t0FNH3IfsEw7uxtO01P9Mp0yx5t9xrZivL8E5Q8F6d85ZJwpZqQZGldvc9T7m_YLgrfE8xqb7HSs
 QrVC5HwoIw1VcqlsOKmHaPS2dmuVltpsj_XZ3bCAO7_B7jBTSxDhvkuLSMzBSTmUEEh6T6K8_IsO
 1Nei.ozOUejeCpkUotKzeIMzTHZoL3HYcYAy6k4qXdQRhX4xugfZEX6lYYHAr8y3n0kxZZkk37k9
 SxVFeMmSNL2ZtFzgmkvvkj0NEEnS32sSKE9paLD2GVfgKgoE2IqGhE.sCF0UixlP.jeKPnU3IlzU
 MUTXm7avkB6XXjUPn8TGp3aH.0G7Qc4VnodnIaCCmMeuPOPZTqj455i_ACr5jiNx11ITBcADE.9U
 2bunqQtJ3w_f6bYxukffZbD8Znev79YuPj0ZEXCH90YQqGXdtltas.RkxJje_2by9aI374bFongu
 3uHp6RoFcZk7qmSO1IWY113LYyjrc3H8Ms9ENd3G0WBtWbTPvRvNdooEUKAWCe3AEbdRxWlOdraq
 KkY9mRjGT0rrL4Am_oy5Z_LodG0PdD3ufP8Sx5rGFtIBFvW82qbJ_0H1mV_42gUsylWOBA2PJzoz
 t7.QIGSXjpdIHb58zwqsOfq0Lj.h_2S4.ZctUJSTjnhWYsiZoUlbUTXPAw6C_jrHTC_XgkP1njbS
 0T9wDql9Pd60VSyGu8eOqN0diyMhooSSL5dbYzSucl4zCGsej53fWZ1bhi_8GgyhQ4CLxm0Wb_xC
 GLNs.yb8cPzlZEjBmqW306qb2rQCI_Im6YF4alfjIx_cJV29CzfqUjXxZ4n4IgI9740Tys2HbNbu
 OgUci_2VEVlHy00GYw5zXApG__1QFjvfb_ipYqN05UkjxhxY24eUqCPcKXA--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic315.consmr.mail.ne1.yahoo.com with HTTP; Sat, 19 Feb 2022 13:36:00 +0000
Received: by kubenode504.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 2a90c17c7d262eadbb2211fdda59c9f5; 
 Sat, 19 Feb 2022 13:35:54 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Jeremy Bicha <jeremy.bicha@HIDDEN>
Subject: Re: bug#54046: emacs: Remove GNOME MediaKeys support
References: <CAD+GYvyg0bf3yChRC2Gpbn_XkHrw0fwprK0abpJERkKo5c6MqQ@HIDDEN>
 <87r181ro86.fsf@HIDDEN> <87v8xbvxrv.fsf@HIDDEN>
 <87k0drm3a0.fsf@HIDDEN>
 <CAD+GYvxch1-wjQnEQPp3jHm-b_AwVtEUwrCrXgNzaft37m5LyQ@HIDDEN>
Date: Sat, 19 Feb 2022 21:35:49 +0800
In-Reply-To: <CAD+GYvxch1-wjQnEQPp3jHm-b_AwVtEUwrCrXgNzaft37m5LyQ@HIDDEN>
 (Jeremy Bicha's message of "Sat, 19 Feb 2022 08:21:48 -0500")
Message-ID: <878ru7m11m.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19797
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 328
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54046
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 54046 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jeremy Bicha <jeremy.bicha@HIDDEN> writes:

> Yes, that's all. I did a search for things that mentioned GNOME's
> MediaKeys. It's already deprecated so people shouldn't use it and
> assume it will still be there in the future.

Thanks, then I'll update the documentation once GNOME 42 is released and
close this report.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54046; Package emacs. Full text available.

Message received at 54046 <at> debbugs.gnu.org:


Received: (at 54046) by debbugs.gnu.org; 19 Feb 2022 12:47:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 07:47:56 2022
Received: from localhost ([127.0.0.1]:57080 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLP9Y-0001sx-Ff
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 07:47:56 -0500
Received: from sonic312-23.consmr.mail.ne1.yahoo.com ([66.163.191.204]:43179)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nLP9W-0001pV-5Z
 for 54046 <at> debbugs.gnu.org; Sat, 19 Feb 2022 07:47:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1645274867; bh=Y79bCn9OeDywBpgWgm73xyDCz4dlJ8TBMKbO2aFBhJs=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=mDtPIdw5KUmr+vLctYfYuTZfOFsl/pXO89+XbfVb5DVAYnMsz7flYyeHr5lwxWxtC1gfe8a24CmL04So/EB/4Rtykl1/M81qiJSQhiEaC6B8XouE+ACylvgOX8Acs2mHJ5KIsbsbuwuhPZaYfbvGy4CCgdEVsQTFLqiwqm4KY83mekHKJxbjkX4/58jWlPigamlW9ICtqXNyUut4aCjYILmlV+VF5ZNU3jJ3Sfk5+nXl5GkJGyA1tmre+MAb0Cn5W4W7OKeKf9Z/P2fX2t2J6ujZCgsQpJ/3QYq+8HTTVit5VXOjkeCI6RPusFZv8MWv0xRgFEB1QqZ9A1T6u18nrg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1645274867; bh=aSe1omOfXNaaRL/IHiLnxeRjRrYLq5sLd0yXCyU9haa=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=jZZDn+XvNU4pEJZMGMhKhHwkRvqtu4PbOXMhp6jznAItjXQIF6za83dAoifc6xR2/BcJDJhhBBWFa6iwHoFrgrcmfYXrzHvZN5qTs1lA3GdOdUnOyNeNhVBwT44xvf3XFjTn7tXjoUg7J4QqYN1yMsRJ8PZXXFZubPBKq5YMUDow63CoQv/L2hlpqsaQBWs/F+rXVYD0aMA2x27+/u2qaYel1J3C/OZq/t+ArhpyBeG2eQkN04nH/roxvOTcp4hMM50RJCfdtS+MBp0JVF+UCbzki2XtEc27CNZY7sqTv8GYbfmSCC+m31UiZoI5APSD8zr+AwwL8X5Tu4tGhQodDg==
X-YMail-OSG: UGElL3cVM1l0d5rqfId4RgGfXERn0OpLM6nC4T._T6E7ThgX72thvOv.w81sCso
 5EDtQMVFz28l93qF96EEnYgVbxqjAAxeewh3yBV9KNxzymsZe9ku3H0GuGuQYFtG3WQCE2oqacnr
 uB8Nv4ufJcHJq4gkP_00Gu6pQhPGCsqOv6i9trRFR5u7bXJUhY3tzFeiL3Seb3PFTKobnuuNBUbf
 IDqVltqfh3ZlMSGXDyt5Zy0s2AvM7HharxCdlGcAGBhapUN3YmW8uaJAmvR1117Z7THRMWvCnb_O
 NsBhdpECwCXcybhoFcSt6ZT9pbi6Ra99EGa83hWxR6jZlQvE9COt5Se0oqWI7vbv_cRg48.SgNwN
 4b8RabiOMeMtKeXcJrp.hMPdla7uCAgfWfx55Lgf7UPfDqJoCXZKGZji2MeY3aY.DZjDkmhhZ8I1
 .49ZZEnTEX4wW5AMJ4N1d75x4AlAv4N0VUsi1eY5xwP21O.EKT1ulgU4pKu8DrVD.WSR7DlNNWj4
 wGjvetzT.OXXy2XUiARRNTI6RUSV7tIAS3qP4BLTHiWsiBakc7dDVGv.zPBfoq5eEA42R6tnh2GF
 ynAJdM9P4nMP2YjnxDbSwxTq0dEDYve60d_lz2uMYcMLSQKGi3kvpvaM4kll6GAdpMr7xb2OjEwI
 63WAoUmhlnmAbha9nIcQcd16cQD31T0fgpxiB2X1LNTPfcDxu4SCqydDbRkhZvAUdXAjk.jaMlcb
 F96KTwHnZv5ovRKoGQxh0v9TR.uU7w7Wzi9vWQuqm2.zfjIylQxrGKXsu0oAbkll3LXFdn_zb3gn
 aSoqWdhZyOli2MslHY5860XiE8WHqFlj_PoouOghftytMCro8VW0m8fbmQtsO83lKoTGzLrCivbq
 kUlBRA_wAfWLd1gpIWvKLqDmSqmWeFCjpmPKYKpLH9t2YuNmyvrNmkUDS8hiXtLmhFbT7u5yQ4lW
 y5PBlfg85falDWusKymYF8ViRomZCYm_PtUzYTnpRusnpG3R3IBjHmQbzAmlhDGoutPX3sjOKy9R
 GLs52PCiZ2gFjIl1txK4VUmKHbf03DDb06gFar5Xb8wUulK8ppeNwmH8ZQ4Qp4PVycXeOAJT8fVD
 YOcQr3IJ4ucRRMYmuyRZezHD7PKhQC0sGpgcd8dqIiJIpbwX0sxbIZFVbcwsKhhby1cr0.xeH0XI
 .twLOPbAKFdrL2xoVukMo6n1W60oWLMGkpwR24pP0sqk2lG8.0cpXa_y2zxYTei49W2ZT.izY9FK
 R4CUHn0CvwbGzL4oBs92H81QjIJxc3aoVdnDW.3QmEg2hma0WU5xJxZw5MVRoQ9Gk8YF2ZrryavC
 kuwsqdwm8Qk3VYnrRd36.9eQotADhXoRO8oheaRDyO3Z8_rSZsVrWT7yiDFI6YUSmwRTVW_07mSC
 l06qtrghw9uRXZiA5SF5X8JKq8Q0UPtvWOx4l0iT344mc7Dr2IFMM1mMP.7P1UkrMxa97YQ2Pcps
 0mq71DnDAqGB0godYhxv.1rxrIohCIOdXjaMBedDstDahRdEtJRrvnCd4pblIAeF8Nte.bkrI_1r
 fxjfaCHVln5GNkVQBHi_aWDEcR6p7_AUP7zY6ffB0ikzi0fn0Fn0c13kBGlPhJcDRyBClUf4nxtM
 pTCq1y0lVltku8bFpmq4fV_5Gs9HYUjmkYexjIk6WIsGgUqAgy9xFn5DFbwGIc84X4YI4hB5aUeW
 Sf.mNFxGVlIrRiUx3aAj0kaIfhuBPvC9TlWalRW0ThjK4iWQ2hpBDKz_bQBmzCpZXdfyil12J_Y1
 KLvostP1mweEBeb2wnXzXrBKtAvrDLJ_73vfhLB4a_ZO_60ZvziFIrnbLUyWv58kZyC0OZR6lcnL
 _diB4xvVWvQFP4DHSWPZ37LWFk4o8nWaWFMlFIlNyVhCteR32pDC_wdgEfiOn.E8C8GpeGPcrOSb
 2PjsucyW7iSVHJq4aVHJ0GMMi.M.L9Fx9NyIzt4I8z8vP.cjEFsWZNbQepExP2gR4s7CkN9OqnFw
 1zcYmr.iU_utLyJQG972NIfvLl.Ep2FjuukeaQnn6Cjzxo3LQe2_LTcA5gM1UMiHDnnFcBJFEecH
 XKO0rVzSnr1H9LVKLe7O9.OYpqr8H6uoyC6wENN3BjEoEFRGYYBrUFsxAamrGE81IXKAtJdJPxs8
 56j8kiN7s2rChwocnFgOAxICmn_REFLlU6W6arXifP1eEGYmSuSwAH7wSKYj1xA5nRbyjUWTNdZm
 lDzoOhrZ2n7EpzORtza6rdflBa5ZfAZvFyT4R3TnDAe5MtYbXiumwlZ.W7Q--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.ne1.yahoo.com with HTTP; Sat, 19 Feb 2022 12:47:47 +0000
Received: by kubenode509.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID a474f2c9ac76600e9ef0ab77c24716c0; 
 Sat, 19 Feb 2022 12:47:41 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#54046: emacs: Remove GNOME MediaKeys support
References: <CAD+GYvyg0bf3yChRC2Gpbn_XkHrw0fwprK0abpJERkKo5c6MqQ@HIDDEN>
 <87r181ro86.fsf@HIDDEN> <87v8xbvxrv.fsf@HIDDEN>
Date: Sat, 19 Feb 2022 20:47:35 +0800
In-Reply-To: <87v8xbvxrv.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 19 Feb 2022 13:36:20 +0100")
Message-ID: <87k0drm3a0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19797
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 544
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54046
Cc: Jeremy Bicha <jeremy.bicha@HIDDEN>, 54046 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> The only mention I can find of "MediaKeys" in the Emacs sources are in
> examples in manuals and doc strings:
>
> @result{} (("/org/gnome/SettingsDaemon/MediaKeys"
>      ("org.gnome.SettingsDaemon.MediaKeys")
>
> Jeremy, is this what you had in mind?

If that's indeed what Jeremy had in mind, then IMO we should postpone
updating the documentation to remove those mentions until GNOME 42 is
released, otherwise it will not represent what is canonically installed
on a up-to-date system.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54046; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54046 <at> debbugs.gnu.org:


Received: (at 54046) by debbugs.gnu.org; 19 Feb 2022 12:36:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 19 07:36:32 2022
Received: from localhost ([127.0.0.1]:57062 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nLOyW-0007oW-27
	for submit <at> debbugs.gnu.org; Sat, 19 Feb 2022 07:36:32 -0500
Received: from quimby.gnus.org ([95.216.78.240]:43730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nLOyU-0007oK-DR
 for 54046 <at> debbugs.gnu.org; Sat, 19 Feb 2022 07:36:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=UG61kpHAqHqmlfdfhSC4Astg85lJf3NaQRgc4YAXyxs=; b=K2FykIzwJpLaSkHio+hbB2BkAK
 MUGkS5ESSZtQ7y8eKoQK1wsbvnMe0wmFfHyNYt9eiYUnPflk1p0MonlMMqbsiWdt+7FEgIlGX4pKn
 4JDadOzo4dfhSVCvAwyEAZn58Gb4jLhaBIgZydPrFGaqHZozbthQjmbavQkuLcsPXBQs=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nLOyL-0006Os-K9; Sat, 19 Feb 2022 13:36:24 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
Subject: Re: bug#54046: emacs: Remove GNOME MediaKeys support
References: <CAD+GYvyg0bf3yChRC2Gpbn_XkHrw0fwprK0abpJERkKo5c6MqQ@HIDDEN>
 <87r181ro86.fsf@HIDDEN>
X-Now-Playing: Tuxedomoon's _Ten Years In One Night (Live)_: "In A Manner Of
 Speaking"
Date: Sat, 19 Feb 2022 13:36:20 +0100
In-Reply-To: <87r181ro86.fsf@HIDDEN> (Po Lu's message of "Fri, 18 Feb 2022
 08:51:37 +0800")
Message-ID: <87v8xbvxrv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Po Lu <luangruo@HIDDEN> writes: > Where do we have GNOME
 MediaKeys support? The only mention I can find of "MediaKeys" in the Emacs
 sources are in examples in manuals and doc strings: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54046
Cc: Jeremy Bicha <jeremy.bicha@HIDDEN>, 54046 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Po Lu <luangruo@HIDDEN> writes:

> Where do we have GNOME MediaKeys support?

The only mention I can find of "MediaKeys" in the Emacs sources are in
examples in manuals and doc strings:

@result{} (("/org/gnome/SettingsDaemon/MediaKeys"
     ("org.gnome.SettingsDaemon.MediaKeys")

Jeremy, is this what you had in mind?

> And we won't remove support for GNOME features the moment they are
> removed in the latest version of GNOME, since it takes more stable
> distributions several years to catch up.

Indeed.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54046; Package emacs. Full text available.

Message received at 54046 <at> debbugs.gnu.org:


Received: (at 54046) by debbugs.gnu.org; 18 Feb 2022 00:51:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 17 19:51:52 2022
Received: from localhost ([127.0.0.1]:53024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKrV2-0007om-NQ
	for submit <at> debbugs.gnu.org; Thu, 17 Feb 2022 19:51:52 -0500
Received: from sonic308-10.consmr.mail.ne1.yahoo.com ([66.163.187.33]:32896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1nKrV0-0007oY-My
 for 54046 <at> debbugs.gnu.org; Thu, 17 Feb 2022 19:51:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1645145504; bh=+FA0EdbJsVXUum2TMHgpQFr2PvorQXxSRRlgnt9OY1A=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From:Subject:Reply-To;
 b=Bf7FvY42Mu3mCjMXH9gUnEn+U3/xpPtSciCYWrNXj/OWa4r21YfzsH6/VWxZh3Zbsv/okXIcrykCl3okeSxVA7da2y5Dkv5bdPbwAsWGE4Pr/tMYr3yrWSddf18VSgII8V9BgbHHKu1h/r9a4WrCyfnY35F2bOPagcu4kxvOrSByWAZiubSSs7Urrk4ZFwecQ2wYNv7b+dgvmaDo3oVCenNvKniJQy9izA9o85ipDwR07LTWmagw+4DTxjzVRkhcBkgxU/D3376OGthvDJ7FTO3jyOVBevUifw9z+fcswN/CVfEkmlQOcLeYzoMID/lcxXiKlrg0uIltTVx2qdZJCQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1645145504; bh=fOftKKroFK7pDsHSqRX96h+iKR9V2NETDv6POgXzD3Z=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=GTG+VrsxQak2YlG+WF9Ft979jV0yJJpUy4IsOV1Y0MLYVKYzA0AGNBrqKNFojvxySoLVUWuyrXFyPh0HddteMg8kH5MLsJhxCTOCtRlpKZLyAg+UQsoHl/cpqtbkdFi5KbYU09/ESZB8JjNEwbkiPUn3N+q6yP1/El4Sic/ZLM9BZhK14IAxOuMpVwAe4UQCgFfcUuTPc0qN5Ad3bgQwy56iE/9qP/IWZmLkVKlroJ1ybYyFqRiPkV1vyBnDIT+76CeUhP25Dn6hiT4UehkQ91fE0mdvQhZdCNRTzdIzSKngs7UAFYsIO4kmd8lZEA4ctCfhYvfdQ+QUH6Z2x6s6Bg==
X-YMail-OSG: c.q_D4oVM1n4m4xb1STgbMOriNndebRUcDXjymPpB.dhADUcvNS2TLrAnut3esJ
 _gDluGrtXFzez1v4qXmEdbC6K5_dF9Jxzl3dL9Fv1ztVKYbPpX_seZR7isGdZoobv9nwa9FRJex2
 E_Wnw_Hk1lwgtWrn0iCk6tGZ3W5shLNIVop5r7aTusJGx3hZfqwo50_8SxlHHkh95W2aoo43eFPu
 ZXvyOPW8xG_s91R._WWxRSgWnDBjPN3dUaa0XhWzNCsM0Vg1ebm4igolxsP_CAaGM1Iepkyxt3V3
 qf6orRsP.O.ijMkJuCCfVfnOBM8ONiQcrken09BC2hfqgdS6iqCo2G0wpMzV3Gjjot0t8bfsYJWa
 YZJQAPKwEpLHboGqxdQayG3TJZ7g2u8f8fKNDnpTT7xG2VEGTlaZDT7tS.uTC.SPGlRr1K922IiS
 cgO_EWQtZ9qhfnJabIkkJIXLvOy7N7lVVENiBkKyzHL3gs3_QYJVqXe6gWWSMa93yrMW9Q0J2QIp
 Y9poF_wjNQc7v_jr0naKWsgNoV0fp6L1N3KxLJVpFdNcJxv9hKzx3_osnETtbCJqP8MqJhStMFOu
 eG0uJ5JlBuSb.LMTaQ6she1qX4t6YLm7n7Nw77Qxa.iVhYiSi2C2laeZbd6F4d_PnP9H322bS4fj
 4Z2RxWKBEIwex9tQg2azs42E08KjFSZKY1tETbD9uRhNMcuhczylxEsLsCvfW6lToULaiTlzkEOO
 FCLid_q4.QYdkYhyyArcYwCwHcw7jbFkJ_GjKJfRR59hCaJ.8RSHhiatYOsKmOjao3V.mz.15lXZ
 EwuITDWi1Q.XepVja2pKyrLwD68veVbIFDYlBG.bpZyFUcdLL9NmYDLwMe1vq2QQDglTBDTlQaFt
 hSeX1E676ioSLOiIlxptW1oDN8KAeFVJ3WnROTJD4.bqO7B5_Y3YkL.g2sKxbvTYkGoIFtIKKkbu
 oYp5EGUyfsXIQeBrV9Kst5UuPmGB7tIuz7q.ZSTDPYXgCmz2NAv7lBPknXKE2rqlBXb_3nBps5MQ
 sqaXeLnMAsARM9uoNBYTEWP9.ONmC1rrftBABY8EBR17sj8wsKFOHLf9rm6.XMujK3EG3JaHunx4
 sLLudUbyld6f7hAHz1rCHFsSmtO4Zhc.FB6Iwfp0i_hyh1DUVrRiX7q3B_rcXQFme5MYdXONfaL1
 XlhqXOIovX9egVMJxXLamNm7LzEuTaob_o0BwScRPjX38AZ8JbCc_QwtKvxP8IT5l3zmly_zqwpZ
 V7PQ5vyrVgw5Quxc.iAFRTWN0HpnocR919mhCMB44teT2RJrnfyvzqqrbhE1japga1pXyyoUZwQN
 IUeh7vEE3VFc7C4RAcO6JIyghfkayYur5vuulxZt_IKJQzBIpRh84Kt4xPnY02UY9KQkCLg11zIS
 ftW7TOBWwEanIoR1KIeIDoaDEVXtJykzG.yPQ3AmjM4cIzv4Bydr1Co2qjZsO55RJ3t6Swh1cp6.
 qtpCyl1hZx7KJiM5rN4XZ2SpctVmy3AgWLLLHH.TELzywCdAqL7I7eBQ0ze1RZTtmx1WENRhbhOc
 vgl3ZWwACvd_UMRXITQJyhz8nUKI5uWvFjWFSg5FuRn1Ab8bMIDcKxNrSgesQQubnc8laAYJ_BHc
 8XSVp5x20hWmpeOpL0Zq8vD.T5bAW4WnLITskqKi3TJwSKK3IYiIQPbDSbWpVZm.SSKXVYgfsqvv
 5cQInRS4erliWsYEJuq1ukFzPdx5IyatJC.zvJbExC9S9kIi2XDZONnu_x2UrHFvNS..lm83LMd8
 j61pVbenS5jba3LHtFv9Bjx0cZCu_IYoMt4_Tv_fJZH4.E1h1kANlPfNI4wqgvYQBbVlNjS5y0qs
 Vq48CCePCCEXtuFagYTK.iQAzfE1zE2FrXcTYB71JB2dWT96vHjlgiCVr_xrj5qVA3kgAt2B1ISW
 OkI_jLdZpTBltu00HKjZxyGsldVTy4rIwhPrILU.0WTnS.zbXMUfwqk.NjKbq6rqrYfPw41dA._C
 fp63jlQdEh3.NWei9Y0.e5QhT6ltNoajz4cr9tVbFSiSDERlz7U0Yh4B9lier27tU2_bf2jZnRRE
 Fcp51fPGTZgpq14w2YmzjruCt8IvzioCbAIRBaHkvE_lL73y5W92Y2zfgnbgkLwk_8jCdymEq2gD
 DSyE9N0DgxnVo8MH6RMify44L6Pt4u.6i35m0ZViZKrqSv2p1pfqcHWDvJ_vqRW.VEh7DyA8ZaWK
 zY4yVqdGHG2nDpJt6JDlbbcabFkfg.iGpoBcdKAndMWbTYJGL158u
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Fri, 18 Feb 2022 00:51:44 +0000
Received: by kubenode513.mail-prod1.omega.sg3.yahoo.com (VZM Hermes SMTP
 Server) with ESMTPA ID 94b23022b5e78ab6d1ef6f34d76227f7; 
 Fri, 18 Feb 2022 00:51:41 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Jeremy Bicha <jeremy.bicha@HIDDEN>
Subject: Re: bug#54046: emacs: Remove GNOME MediaKeys support
References: <CAD+GYvyg0bf3yChRC2Gpbn_XkHrw0fwprK0abpJERkKo5c6MqQ@HIDDEN>
Date: Fri, 18 Feb 2022 08:51:37 +0800
In-Reply-To: <CAD+GYvyg0bf3yChRC2Gpbn_XkHrw0fwprK0abpJERkKo5c6MqQ@HIDDEN>
 (Jeremy Bicha's message of "Thu, 17 Feb 2022 14:05:50 -0500")
Message-ID: <87r181ro86.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.19797
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 567
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54046
Cc: 54046 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jeremy Bicha <jeremy.bicha@HIDDEN> writes:

> GNOME has dropped its MediaKeys plugin in its 42 Beta release. It had
> been deprecated for a while; MPRIS is the recommended replacement.
>
> org.gnome.SettingsDaemon.MediaKeys
>
> https://gitlab.gnome.org/GNOME/gnome-settings-daemon/-/merge_requests/268
>
> Thank you,
> Jeremy Bicha

Where do we have GNOME MediaKeys support?

And we won't remove support for GNOME features the moment they are
removed in the latest version of GNOME, since it takes more stable
distributions several years to catch up.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54046; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Feb 2022 21:55:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 17 16:55:03 2022
Received: from localhost ([127.0.0.1]:52853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nKojr-00055Z-J6
	for submit <at> debbugs.gnu.org; Thu, 17 Feb 2022 16:55:03 -0500
Received: from lists.gnu.org ([209.51.188.17]:55778)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeremy.bicha@HIDDEN>) id 1nKm6u-0000wd-2g
 for submit <at> debbugs.gnu.org; Thu, 17 Feb 2022 14:06:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51764)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jeremy.bicha@HIDDEN>)
 id 1nKm6t-0005Je-Ut
 for bug-gnu-emacs@HIDDEN; Thu, 17 Feb 2022 14:06:35 -0500
Received: from smtp-relay-internal-0.canonical.com ([185.125.188.122]:53982)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jeremy.bicha@HIDDEN>)
 id 1nKm6q-0002Ic-VU
 for bug-gnu-emacs@HIDDEN; Thu, 17 Feb 2022 14:06:35 -0500
Received: from mail-ot1-f70.google.com (mail-ot1-f70.google.com
 [209.85.210.70])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
 key-exchange X25519 server-signature RSA-PSS (2048 bits) server-digest SHA256)
 (No client certificate requested)
 by smtp-relay-internal-0.canonical.com (Postfix) with ESMTPS id 092AA3F1A1
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Feb 2022 19:06:28 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=canonical.com;
 s=20210705; t=1645124788;
 bh=XLNm3W3kTl+R2CaQgCAEelrSmwkc33ItHRhczDb/ZFg=;
 h=MIME-Version:From:Date:Message-ID:Subject:To:Content-Type;
 b=SYZliNzao77ReBJvPRqfnP6/4qxS+AXLENNvXs5sjsx8yOOomVSKxlHrJyeOo7wVo
 Ew6EFCdxlUj1somkn8Zf3pNoXk+rTMEMQvqXMtfj/o5eu/mRFwDfq2rwFRYXw8hKNb
 q5NoLsC75OANkToQelzJLnKJi5RbD3Iu0tgwqHza7nKqCQhGLeYXeO81SuRdFSV1Ye
 xRO4pgizD5QT4brPbpJjPqdXBhU1wnR0EPCrrnryVaQ49yqwaYAw3X1xAsnoocEJVP
 vnxAvAejlOWW6znMV1tBLutLuwjEq50keG7KzxuiEw0MOkiIkbLDaZiniTKIGzySUH
 mo1Y10io/yhTA==
Received: by mail-ot1-f70.google.com with SMTP id
 q8-20020a056830232800b005ab75f5e906so270485otg.18
 for <bug-gnu-emacs@HIDDEN>; Thu, 17 Feb 2022 11:06:27 -0800 (PST)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=XLNm3W3kTl+R2CaQgCAEelrSmwkc33ItHRhczDb/ZFg=;
 b=clUqLDOka4w2Qpict1Az7KkdPVOErqwjkp59BqaNnQelwSSAZM6Pyy+Lm60tf3LiL+
 T1p2GM8ow9+VYFM76UD8OqZqMA6RKkROLbF6xmIDHhwYq56/wMFAGyZQz8lEErbYp8GS
 Ldcvp2VmTWdCaCrQlDVsp2zGureJ/WfOFiWqRPPevooM46TBJgVQlwQ7s3inPLzNMD6P
 595VSYgngXscT+oZZwZPBYrbRw4O/z2dBzBSKy39uMONgKcUOFveiCjhLRk2GFah2HhU
 Ga/O4o0aPtCsfXrlxULyGxqc1z6zRTNsmBL74y5Xbnaw5EcD3FP/A69jA2OELqKm+NxW
 g1ew==
X-Gm-Message-State: AOAM530jyfqJ6bcySP92aavs00m7SXN39dXzp3xjxsIckT/QO7nA4IZT
 YZbGmMzjGDoFjUYFiCLEdLyDjPVnsHjxF2Lc3CuumnoWv9OEApGQsUVK10ZoxLJUFJuzqE57OXl
 hifA5Z13AcEYhB+jzcrtMeJinAqVmBpLLHTucPDD8vPMzxlBJ
X-Received: by 2002:a05:6870:8224:b0:d3:94c7:3434 with SMTP id
 n36-20020a056870822400b000d394c73434mr1554290oae.287.1645124786482; 
 Thu, 17 Feb 2022 11:06:26 -0800 (PST)
X-Google-Smtp-Source: ABdhPJz825Bh6jRIBd3tD6RIMSqN6RsIl2T2O70Q28uPbdaB0XkVZl40u+lFtydtv1yBvg0nf2iz9j8/xouTkr/sNQc=
X-Received: by 2002:a05:6870:8224:b0:d3:94c7:3434 with SMTP id
 n36-20020a056870822400b000d394c73434mr1554256oae.287.1645124785896; Thu, 17
 Feb 2022 11:06:25 -0800 (PST)
MIME-Version: 1.0
From: Jeremy Bicha <jeremy.bicha@HIDDEN>
Date: Thu, 17 Feb 2022 14:05:50 -0500
Message-ID: <CAD+GYvyg0bf3yChRC2Gpbn_XkHrw0fwprK0abpJERkKo5c6MqQ@HIDDEN>
Subject: emacs: Remove GNOME MediaKeys support
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=185.125.188.122;
 envelope-from=jeremy.bicha@HIDDEN;
 helo=smtp-relay-internal-0.canonical.com
X-Spam_score_int: -44
X-Spam_score: -4.5
X-Spam_bar: ----
X-Spam_report: (-4.5 / 5.0 requ) BAYES_00=-1.9, DKIMWL_WL_HIGH=-0.082,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 17 Feb 2022 16:54:58 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

GNOME has dropped its MediaKeys plugin in its 42 Beta release. It had
been deprecated for a while; MPRIS is the recommended replacement.

org.gnome.SettingsDaemon.MediaKeys

https://gitlab.gnome.org/GNOME/gnome-settings-daemon/-/merge_requests/268

Thank you,
Jeremy Bicha




Acknowledgement sent to Jeremy Bicha <jeremy.bicha@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#54046; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 22 Mar 2022 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.